Professional Web Applications Themes

k3b dvd-image burning fails. - FreeBSD

On Tuesday 29 March 2005 2:43 pm, Perttu Laine wrote:  I can't say what causes this in k3b, but I had the same problem when using k3b. I just use the command line for growisofs now and I haven't had any problems. -- Rod ++++++++++++++++++++++++++++++++++++++++++++++++++ ++++++ "If you stay the same long enough you'll be in style some day again." Cren Dog ++++++++++++++++++++++++++++++++++++++++++++++++++ ++++++...

  1. #1

    Default Re: k3b dvd-image burning fails.

    On Tuesday 29 March 2005 2:43 pm, Perttu Laine wrote: 

    I can't say what causes this in k3b, but I had the same problem when using
    k3b. I just use the command line for growisofs now and I haven't had any
    problems.



    --
    Rod

    ++++++++++++++++++++++++++++++++++++++++++++++++++ ++++++
    "If you stay the same long enough you'll be in
    style some day again." Cren Dog
    ++++++++++++++++++++++++++++++++++++++++++++++++++ ++++++

    Rod Guest

  2. #2

    Default k3b dvd-image burning fails.

    I have trouble burning dvd-r images to dvd+r discs on freebsd 5.4.

    Allmost 50% of burns are failing with same error. (same images works
    sometimes and sometimes not). on windows I have never trouble (no
    single bad burn with same computer, same dvd+r drive and same media).
    now it always halts around 72% done with this same error message:

    --
    3379789824/4643059712 (72.8%) 0.0x, remaining 3:31
    3379789824/4643059712 (72.8%) 0.0x, remaining 3:32
    :-( write failed: Input/output error
    /dev/pass0: flushing cache
    /dev/pass0: closing track
    /dev/pass0: closing session

    growisofs comand:
    -----------------------
    /usr/local/bin/growisofs -Z /dev/cd0=/storage/dvd-r/dvd1.img
    -use-the-force-luke=notray -use-the-force-luke=tty -speed=8
    --

    So. what could be wrong?

    --
    kpn IRCnet
    Perttu Guest

  3. #3

    Default Re: k3b dvd-image burning fails.

    more to this one.

    /var/log/messages shows this:

    Mar 29 17:49:40 judaspriest kernel: ad6: TIMEOUT - READ_DMA retrying
    (2 retries left) LBA=280065087
    Mar 29 17:49:40 judaspriest kernel: ad6: FAILURE - READ_DMA timed out
    Mar 29 17:49:45 judaspriest kernel: ad6: TIMEOUT - READ_DMA retrying
    (2 retries left) LBA=280065119
    Mar 29 17:49:46 judaspriest kernel: ad6: FAILURE - READ_DMA timed out
    Mar 29 17:49:51 judaspriest kernel: ad6: TIMEOUT - READ_DMA retrying
    (2 retries left) LBA=280065151
    Mar 29 17:49:51 judaspriest kernel: ad6: FAILURE - READ_DMA timed out
    Mar 29 17:49:56 judaspriest kernel: ad6: TIMEOUT - READ_DMA retrying
    (2 retries left) LBA=280065183
    Mar 29 17:49:56 judaspriest kernel: ad6: FAILURE - READ_DMA timed out
    Mar 29 17:50:01 judaspriest kernel: ad6: TIMEOUT - READ_DMA retrying
    (2 retries left) LBA=280065183
    Mar 29 17:50:01 judaspriest kernel: ad6: FAILURE - READ_DMA timed out
    Mar 29 17:50:06 judaspriest kernel: ad6: TIMEOUT - READ_DMA retrying
    (2 retries left) LBA=280065183
    Mar 29 17:50:06 judaspriest kernel: ad6: FAILURE - READ_DMA timed out

    and ad6 is what I'm reading image from.


    On Tue, 29 Mar 2005 17:43:40 +0300, Perttu Laine <com> wrote: 


    --
    --
    kpn IRCnet
    Perttu Guest

  4. #4

    Default Re: k3b dvd-image burning fails.

    On Tue, 29 Mar 2005 17:43:40 +0300, Perttu Laine <com> wrote: 

    I haven't been using k3b on FreeBSD, but you may want to report this
    as a bug with the port maintainer.

    --Nick
    Nick Guest

  5. #5

    Default Packages Corrupted

    I installed apache, php and mysql with pkg_add, unfortunately I messed up
    the directory /var/db during moving and linking. Now when I pkg_delete or
    pkg_add any php related packages, always got the error message: "the package
    info for package 'pkg' is corrupt", tried "pkgdb -F" and it didn't work.
    This is a new server running 5.3 release, just installed serveral packages,
    but with the error message, I feel the system totally corrupted. Is it
    possible to fix this? Many thanks in advance!
    Kevin


    KP Guest

  6. #6

    Default Re: Packages Corrupted

    On Wednesday 30 March 2005 08:27 pm, KP wrote: 

    If /var/db is "messed up" there is no way to know which installed
    package is associated with which port. If you don't see any package
    names listed under /var/db/pkg they are as good as not being installed
    as far as the ports system is concerned. You should never fool with
    anything under /var/db/pkg, always leave that to the ports system to
    handle. What is the status of /var/db/pkg now? Are there any package
    names listed in it?

    -Mike



    Michael Guest

  7. #7

    Default Re: Packages Corrupted

    My first message is inaccturate, it seems all packages has the same problem.
    For example:

    # pkg_delete wget-1.8.2_6
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt

    # pkg_info | grep mysql
    pkg_info: the package info for package 'pkg' is corrupt
    mysql-client-4.0.21 Multithreaded SQL database (client)
    php4-mysql-4.3.9 The mysql shared extension for php

    Is it possible to remove all installed packages and start over? Thanks!


    ----- Original Message -----
    From: "KP" <org>
    To: <org>
    Sent: Thursday, March 31, 2005 6:27 AM
    Subject: Packages Corrupted

     
    package 
    packages, 



    KP Guest

  8. #8

    Default Re: Packages Corrupted

    ----- Original Message -----
    From: "Michael C. Shultz" <com>
    To: <org>
    Sent: Thursday, March 31, 2005 6:42 AM
    Subject: Re: Packages Corrupted

     
    >
    > If /var/db is "messed up" there is no way to know which installed
    > package is associated with which port. If you don't see any package
    > names listed under /var/db/pkg they are as good as not being installed
    > as far as the ports system is concerned. You should never fool with
    > anything under /var/db/pkg, always leave that to the ports system to
    > handle. What is the status of /var/db/pkg now? Are there any package
    > names listed in it?
    >
    > -Mike[/ref]

    Thanks for your reply, Mike.
    /var/db/pkg looks good
    # ls
    apache-1.3.33 mysql-client-4.0.21 php4-pcre-4.3.9
    pkgdb.db
    bison-1.75_2 perl-5.8.5 php4-posix-4.3.9
    portupgrade-20041226_1
    cvsup-without-gui-16.1h php4-bz2-4.3.9 php4-session-4.3.9
    ruby-1.8.2_3
    expat-1.95.8 php4-ctype-4.3.9 php4-tokenizer-4.3.9
    ruby18-bdb1-0.2.2
    gettext-0.13.1_1 php4-extensions-1.0 php4-xml-4.3.9
    unixbench-4.1.0
    libiconv-1.9.2_1 php4-mysql-4.3.9 php4-zlib-4.3.9
    m4-1.4.1 php4-overload-4.3.9 pkg

    But If I try to delete a package, it will go to the error message in the
    end.

    # pkg_delete php4-xml-4.3.9
    pkg_delete: package 'php4-xml-4.3.9' is required by these other packages and
    may not be deinstalled: php4-extensions-1.0

    # pkg_delete php4-extensions-1.0
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt
    pkg_delete: the package info for package 'pkg' is corrupt



    KP Guest

  9. #9

    Default Re: Packages Corrupted

    On Thu, 31 Mar 2005 06:55:22 +0200, KP <org> wrote: 
    > >
    > > If /var/db is "messed up" there is no way to know which installed
    > > package is associated with which port. If you don't see any package
    > > names listed under /var/db/pkg they are as good as not being installed
    > > as far as the ports system is concerned. You should never fool with
    > > anything under /var/db/pkg, always leave that to the ports system to
    > > handle. What is the status of /var/db/pkg now? Are there any package
    > > names listed in it?
    > >
    > > -Mike[/ref]
    >
    > Thanks for your reply, Mike.
    > /var/db/pkg looks good
    > # ls
    > apache-1.3.33 mysql-client-4.0.21 php4-pcre-4.3.9
    > pkgdb.db
    > bison-1.75_2 perl-5.8.5 php4-posix-4.3.9
    > portupgrade-20041226_1
    > cvsup-without-gui-16.1h php4-bz2-4.3.9 php4-session-4.3.9
    > ruby-1.8.2_3
    > expat-1.95.8 php4-ctype-4.3.9 php4-tokenizer-4.3.9
    > ruby18-bdb1-0.2.2
    > gettext-0.13.1_1 php4-extensions-1.0 php4-xml-4.3.9
    > unixbench-4.1.0
    > libiconv-1.9.2_1 php4-mysql-4.3.9 php4-zlib-4.3.9
    > m4-1.4.1 php4-overload-4.3.9 pkg
    >
    > But If I try to delete a package, it will go to the error message in the
    > end.
    >
    > # pkg_delete php4-xml-4.3.9
    > pkg_delete: package 'php4-xml-4.3.9' is required by these other packages and
    > may not be deinstalled: php4-extensions-1.0
    >
    > # pkg_delete php4-extensions-1.0
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    >
    >
    > _______________________________________________
    > org mailing list
    > http://lists.freebsd.org/mailman/listinfo/freebsd-questions
    > To unsubscribe, send any mail to "org"
    >[/ref]

    Is pkg in /var/db/pkg/ a file or directory how did it end up there.

    --
    Kind regards
    Abu Khaled
    Abu Guest

  10. #10

    Default Re: Packages Corrupted

    On Wednesday 30 March 2005 08:55 pm, you wrote: 
    > >
    > > If /var/db is "messed up" there is no way to know which installed
    > > package is associated with which port. If you don't see any
    > > package names listed under /var/db/pkg they are as good as not
    > > being installed as far as the ports system is concerned. You should
    > > never fool with anything under /var/db/pkg, always leave that to
    > > the ports system to handle. What is the status of /var/db/pkg now?
    > > Are there any package names listed in it?
    > >
    > > -Mike[/ref]
    >
    > Thanks for your reply, Mike.
    > /var/db/pkg looks good
    > # ls
    > apache-1.3.33 mysql-client-4.0.21 php4-pcre-4.3.9
    > pkgdb.db
    > bison-1.75_2 perl-5.8.5 php4-posix-4.3.9
    > portupgrade-20041226_1
    > cvsup-without-gui-16.1h php4-bz2-4.3.9 php4-session-4.3.9
    > ruby-1.8.2_3
    > expat-1.95.8 php4-ctype-4.3.9 php4-tokenizer-4.3.9
    > ruby18-bdb1-0.2.2
    > gettext-0.13.1_1 php4-extensions-1.0 php4-xml-4.3.9
    > unixbench-4.1.0
    > libiconv-1.9.2_1 php4-mysql-4.3.9 php4-zlib-4.3.9
    > m4-1.4.1 php4-overload-4.3.9 pkg
    >
    > But If I try to delete a package, it will go to the error message in
    > the end.
    >
    > # pkg_delete php4-xml-4.3.9
    > pkg_delete: package 'php4-xml-4.3.9' is required by these other
    > packages and may not be deinstalled: php4-extensions-1.0
    >
    > # pkg_delete php4-extensions-1.0
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt
    > pkg_delete: the package info for package 'pkg' is corrupt[/ref]

    To go a step further, please post about the first 15 lines of

    /var/db/pkg/php4-extensions-1.0/+CONTENTS

    from that I should be able to explain why you are getting
    the errors.

    -Mike
    Michael Guest

  11. #11

    Default Re: Packages Corrupted


    ----- Original Message -----
    From: "Abu Khaled" <com>
    To: "KP" <org>
    Cc: "Michael C. Shultz" <com>;
    <org>
    Sent: Thursday, March 31, 2005 6:58 AM
    Subject: Re: Packages Corrupted

     [/ref][/ref]

    > >
    > > Thanks for your reply, Mike.
    > > /var/db/pkg looks good
    > > # ls
    > > apache-1.3.33 mysql-client-4.0.21 php4-pcre-4.3.9
    > > pkgdb.db
    > > bison-1.75_2 perl-5.8.5 php4-posix-4.3.9
    > > portupgrade-20041226_1
    > > cvsup-without-gui-16.1h php4-bz2-4.3.9 php4-session-4.3.9
    > > ruby-1.8.2_3
    > > expat-1.95.8 php4-ctype-4.3.9 php4-tokenizer-4.3.9
    > > ruby18-bdb1-0.2.2
    > > gettext-0.13.1_1 php4-extensions-1.0 php4-xml-4.3.9
    > > unixbench-4.1.0
    > > libiconv-1.9.2_1 php4-mysql-4.3.9 php4-zlib-4.3.9
    > > m4-1.4.1 php4-overload-4.3.9 pkg
    > >
    > > But If I try to delete a package, it will go to the error message in the
    > > end.
    > >
    > > # pkg_delete php4-xml-4.3.9
    > > pkg_delete: package 'php4-xml-4.3.9' is required by these other packages[/ref][/ref]
    and [/ref]
    "org" 
    >
    > Is pkg in /var/db/pkg/ a file or directory how did it end up there.
    >
    > --
    > Kind regards
    > Abu Khaled[/ref]
     [/ref][/ref]

    > >
    > > Thanks for your reply, Mike.
    > > /var/db/pkg looks good
    > > # ls
    > > apache-1.3.33 mysql-client-4.0.21 php4-pcre-4.3.9
    > > pkgdb.db
    > > bison-1.75_2 perl-5.8.5 php4-posix-4.3.9
    > > portupgrade-20041226_1
    > > cvsup-without-gui-16.1h php4-bz2-4.3.9 php4-session-4.3.9
    > > ruby-1.8.2_3
    > > expat-1.95.8 php4-ctype-4.3.9 php4-tokenizer-4.3.9
    > > ruby18-bdb1-0.2.2
    > > gettext-0.13.1_1 php4-extensions-1.0 php4-xml-4.3.9
    > > unixbench-4.1.0
    > > libiconv-1.9.2_1 php4-mysql-4.3.9 php4-zlib-4.3.9
    > > m4-1.4.1 php4-overload-4.3.9 pkg
    > >
    > > But If I try to delete a package, it will go to the error message in the
    > > end.
    > >
    > > # pkg_delete php4-xml-4.3.9
    > > pkg_delete: package 'php4-xml-4.3.9' is required by these other packages[/ref][/ref]
    and [/ref]
    "org" 
    >
    > Is pkg in /var/db/pkg/ a file or directory how did it end up there.
    >
    > --
    > Kind regards
    > Abu Khaled[/ref]

    Oh, it's a directory and contains several packages. I moved the db directory
    to other place and made a link, but must have run a silly command, later I
    found the old one still existed :-(.

    I moved all files under /var/db/pkg/pkg/ into /var/db/pkg/, the probelms
    seems fixed! Thank God! I reinstalled php and mysql packages without any
    error messages. Thank you very much!

    # pwd
    /home/db/pkg/pkg
    # ll
    total 18
    drwxr-xr-x 2 root wheel 512 Mar 30 02:51 apache-1.3.33
    drwxr-xr-x 2 root wheel 512 Mar 30 02:47 expat-1.95.8
    drwxr-xr-x 2 root wheel 512 Mar 30 02:51 mysql-client-4.0.21
    drwxr-xr-x 2 root wheel 512 Mar 30 02:51 mysql-server-4.0.21
    drwxr-xr-x 2 root wheel 512 Mar 29 23:43 ncftp-3.1.8
    drwxr-xr-x 2 root wheel 512 Mar 30 02:47 perl-5.8.5
    drwxr-xr-x 2 root wheel 512 Mar 30 02:51 php4-4.3.9
    drwxr-xr-x 2 root wheel 512 Mar 30 02:51 php4-mysql-4.3.9
    dr-xr-xr-x 2 root wheel 512 Mar 30 02:53 qpopper-4.0.5_1



    KP Guest

  12. #12

    Default Re: Packages Corrupted

    On Thu, 31 Mar 2005 07:18:54 +0200, KP <org> wrote: [/ref]
    > I [/ref]
    > and [/ref]
    > "org" 
    > >
    > > Is pkg in /var/db/pkg/ a file or directory how did it end up there.
    > >
    > > --
    > > Kind regards
    > > Abu Khaled[/ref]
    > [/ref]
    > I [/ref]
    > and [/ref]
    > "org" 
    > >
    > > Is pkg in /var/db/pkg/ a file or directory how did it end up there.
    > >
    > > --
    > > Kind regards
    > > Abu Khaled[/ref]
    >
    > Oh, it's a directory and contains several packages. I moved the db directory
    > to other place and made a link, but must have run a silly command, later I
    > found the old one still existed :-(.
    >
    > I moved all files under /var/db/pkg/pkg/ into /var/db/pkg/, the probelms
    > seems fixed! Thank God! I reinstalled php and mysql packages without any
    > error messages. Thank you very much!
    >
    > # pwd
    > /home/db/pkg/pkg
    > # ll
    > total 18
    > drwxr-xr-x 2 root wheel 512 Mar 30 02:51 apache-1.3.33
    > drwxr-xr-x 2 root wheel 512 Mar 30 02:47 expat-1.95.8
    > drwxr-xr-x 2 root wheel 512 Mar 30 02:51 mysql-client-4.0.21
    > drwxr-xr-x 2 root wheel 512 Mar 30 02:51 mysql-server-4.0.21
    > drwxr-xr-x 2 root wheel 512 Mar 29 23:43 ncftp-3.1.8
    > drwxr-xr-x 2 root wheel 512 Mar 30 02:47 perl-5.8.5
    > drwxr-xr-x 2 root wheel 512 Mar 30 02:51 php4-4.3.9
    > drwxr-xr-x 2 root wheel 512 Mar 30 02:51 php4-mysql-4.3.9
    > dr-xr-xr-x 2 root wheel 512 Mar 30 02:53 qpopper-4.0.5_1
    >
    >[/ref]

    You are welcome.
    Credit also goes to Michael. If he had not asked you about details of
    your problem, then I would have never noticed it.
    Teamwork pays off :)

    --
    Kind regards
    Abu Khaled
    Abu Guest

Similar Threads

  1. Get image from DB fails. Image are not returned correctly.
    By Bjarte Andreassen in forum PHP Development
    Replies: 4
    Last Post: September 18th, 11:07 PM
  2. Replies: 1
    Last Post: September 10th, 10:39 PM
  3. Replies: 0
    Last Post: September 9th, 08:46 PM
  4. Replies: 0
    Last Post: September 8th, 10:54 PM
  5. Replies: 0
    Last Post: September 8th, 09:33 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139